%define languageenglazy Breton
%define languagecode    br
%define lc_ctype        br_FR

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.16
Release:        %mkrel 2
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
#URL:            http://www.drouizig.org/index.php?option=com_content&view=article&id=99%3Adifazier-hunspell-evit-firefox-a-openoffice&catid=38%3Adifazier&Itemid=58&lang=br
URL:            https://extensions.libreoffice.org/extensions/an-drouizig-breton-spellchecker
VCS:		https://github.com/Drouizig/hunspell-br
Source0:        https://extensions.libreoffice.org/extensions/an-drouizig-breton-spellchecker/%version/@@download/file/difazier-an-drouizig-%version.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-br
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# special case, an external package
Obsoletes:      myspell-%{languagecode} < 0.4
Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} < 0.4
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/%{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/%{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc package-description.txt
%license LICENSES-en.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1:0.16-2.mga8
+ Revision: 1521990
- Mageia 8 Mass Rebuild

* Tue Jan 08 2019 tv <tv> 1:0.16-1.mga7
+ Revision: 1351714
- new release
- add VCS URL

* Thu Sep 20 2018 umeabot <umeabot> 1:0.15-2.mga7
+ Revision: 1278694
- Mageia 7 Mass Rebuild

* Sat Mar 31 2018 tv <tv> 1:0.15-1.mga7
+ Revision: 1213894
- new release
- update URL

* Sat Feb 06 2016 umeabot <umeabot> 1:0.12-4.mga6
+ Revision: 940166
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.12-3.mga5
+ Revision: 740612
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.12-2.mga5
+ Revision: 680218
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu May 22 2014 tv <tv> 1:0.12-1.mga5
+ Revision: 624855
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1:0.11-3.mga4
+ Revision: 532832
- Mageia 4 Mass Rebuild

* Sun Feb 24 2013 tv <tv> 1:0.11-2.mga4
+ Revision: 400228
- better URL
- new release

* Sat Feb 09 2013 tv <tv> 1:0.8-7.mga3
+ Revision: 397527
- fix source URL
- really use 0.8... :-(

* Sat Jan 12 2013 umeabot <umeabot> 1:0.8-6.mga3
+ Revision: 353399
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1:0.8-5.mga3
+ Revision: 325174
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1:0.8-4.mga2
+ Revision: 224578
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 1:0.8-3.mga2
+ Revision: 207651
- use better obsoleting of myspell

* Mon Jan 16 2012 kamil <kamil> 1:0.8-2.mga2
+ Revision: 196820
- adapt .spec to the current policies

* Tue Nov 08 2011 tv <tv> 1:0.8-1.mga2
+ Revision: 165657
- new release
- new release

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.3-1.mga1
+ Revision: 68684
- imported package hunspell-br


* Fri Feb 19 2010 Caolan McNamara <caolanm@redhat.com> - 1:0.3-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Caolan McNamara <caolanm@redhat.com> - 1:0.2-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20030417-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Caolan McNamara <caolanm@redhat.com> - 0.20030417-1
- initial version
